using System;
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Interoperability
{
    [ComVisible(true)]
    public class Rule1411
    {
        // このメソッドは CA1411 に違反しています。
        [SuppressMessage("Microsoft.Usage", "CA1801:ReviewUnusedParameters")]
        [ComRegisterFunction]
        public static void Register(Type type)
        {
        }

        [SuppressMessage("Microsoft.Usage", "CA1801:ReviewUnusedParameters")]
        [ComUnregisterFunction]
        private static void Unregister(Type type)
        {
        }

        public override string ToString()
        {
            return "Rule1411";
        }
    }
}
